Subject: bug#11143: 24.0.94; buggy buggy gnutls freezes emacs

From: Leo <[email-masked]>
Date: Sun, 01 Apr 2012 12:30:26 +0800

This issue isn't easy to reproduce because it depends on the network.

gnutls-boot can sometimes go into infinite 100% CPU consummation (looks
like a infinite loop) as shown in this screenshot:

C-g cannot stop it. I have left it running for > 15 minutes and no sign
of stopping too.

I know it is gnutls-boot because, I tried:

 - kill -USR2 <pid>
 - killall emacs

and a debug buffer pops up to say that. Unfortunately I was just about
to get a copy of the backtrace and the network was back to normal. But I
think gnutls is doing some funny business. gnutls should kill itself
after some time instead of freeze emacs forever.

Leo